#pragma once

#include "CoreMinimal.h"
#include "AnimLayerUpdateInterface.h"
#include "BaseSurvivorAnimInstance.h"
#include "K26CrowAttachmentSubAnimInstance.generated.h"

UCLASS(Blueprintable, NonTransient)
class UK26CrowAttachmentSubAnimInstance : public UBaseSurvivorAnimInstance, public IAnimLayerUpdateInterface
{
	GENERATED_BODY()

protected:
	UPROPERTY(BlueprintReadWrite, Transient)
	bool _hasCrowAttached;

	UPROPERTY(BlueprintReadWrite, Transient)
	bool _isRemovingCrow;

	UPROPERTY(BlueprintReadWrite, Transient)
	bool _isIdle;

	UPROPERTY(BlueprintReadWrite, Transient)
	bool _isCrawling;

	UPROPERTY(BlueprintReadWrite, Transient)
	bool _isDead;

	UPROPERTY(BlueprintReadWrite, Transient)
	bool _isHooked;

	UPROPERTY(BlueprintReadWrite, Transient)
	bool _isInsideLocker;

	UPROPERTY(BlueprintReadWrite, Transient)
	bool _isInteracting;

	UPROPERTY(BlueprintReadWrite, Transient)
	bool _isHoldingSmallItem;

	UPROPERTY(BlueprintReadWrite, Transient)
	bool _isUsingAimItem;

	UPROPERTY(BlueprintReadWrite, Transient)
	bool _isCrouched;

public:
	UK26CrowAttachmentSubAnimInstance();
};

FORCEINLINE uint32 GetTypeHash(const UK26CrowAttachmentSubAnimInstance) { return 0; }
